%define		realname		gettext
Summary:	gettext libraries - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteki gettext - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	0.23.1
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	https://ftp.gnu.org/gnu/gettext/%{realname}-%{version}.tar.lz
# Source0-md5:	99317e9e1a95d6d8e06bbf287caa423a
Patch0:		%{name}-kill_tools.patch
Patch1:		%{realname}-mingw32.patch
URL:		http://www.gnu.org/software/gettext/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.13
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libiconv
BuildRequires:	libtool >= 2:2
BuildRequires:	lzip
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
Requires:	crossmingw32-libiconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		_ssp_cflags		%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
gettext libraries - cross MinGW32 version.

%description -l pl.UTF-8
Biblioteki gettext - wersja skrośna dla MinGW32.

%package static
Summary:	Static gettext libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gettext (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gettext libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gettext (wersja skrośna MinGW32).

%package dll
Summary:	DLL gettext libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gettext dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libiconv-dll
Requires:	wine

%description dll
DLL gettext libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gettext dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch -P0 -p1
%patch -P1 -p1

%{__sed} -i \
	-e 's@m4_esyscmd(\[build-aux/git-version-gen \.tarball-version\])@[%{version}]@' \
	configure.ac
%{__sed} -i \
	-e 's@m4_esyscmd(\[\.\./build-aux/git-version-gen \.\./\.tarball-version\])@[%{version}]@' \
	gettext-runtime/configure.ac \
	gettext-tools/configure.ac

%build
cd gettext-runtime
%{__libtoolize}
%{__aclocal} -I m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd intl
%{__libtoolize}
%{__aclocal} -I ../../m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../libasprintf
%{__aclocal} -I ../../m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../libtextstyle
%{__libtoolize}
%{__aclocal} -I m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../gettext-tools
%{__aclocal} -I m4 -I ../gettext-runtime/m4 -I ../m4 -I gnulib-m4 -I libgrep/gnulib-m4 -I libgettextpo/gnulib-m4 -I tests/gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd examples
%{__aclocal} -I ../../gettext-runtime/m4 -I ../../m4
%{__autoconf}
%{__automake}
cd ../..
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-csharp \
	--enable-static \
	--enable-threads=windows \
	--without-bzip2 \
	--without-git \
	--with-xz

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{{envsubst,gettext,ngettext}.exe,gettext.sh}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,gettext,locale,man}
%{__rm} -r $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libintl.dll.a
%{_libdir}/libintl.la
%{_libdir}/libasprintf.dll.a
%{_libdir}/libasprintf.la
%{_includedir}/autosprintf.h
%{_includedir}/libintl.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libintl.a
%{_libdir}/libasprintf.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libintl-8.dll
%{_dlldir}/libasprintf-0.dll
%changelog
* Tue Jan 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-gettext.git;a=log;h=master

* Sun Jan 19 2025 Jakub Bogusz <qboosh@pld-linux.org> 93ede22
- updated to 0.23.1

* Thu Feb 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 62708ac
- updated to 0.22.5

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> f14e995
- updated to 0.22.4

* Thu Oct 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 7b54488
- updated to 0.22.3

* Thu Sep 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 3b0ebe0
- updated to 0.22.2

* Mon Jul 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 6c959d5
- updated to 0.22; libintl.la no longer installed

* Wed Oct 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ce9c7c1
- disable debug packages, release 2

* Wed Oct 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 217974b
- updated to 0.21.1

* Sun Oct 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 3d2a0f7
- updated to 0.21

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 4dc1498
- updated to 0.20.2

* Thu Jun 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 5dff76f
- updated to 0.20.1
- updated kill_tools patch

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> a70f2dd
- force use of windows threads, even if pthreads-w32 is installed; release 5

* Thu Dec 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 301e505
- release 4

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> c2c3acf
- added mingw32 patch (adjust for w32api 5.0.x); release 3

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> d8ceb41
- release 2

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 38daf24
- updated to 0.19.8.1

* Mon Dec 28 2015 Jakub Bogusz <qboosh@pld-linux.org> ba38411
- updated to 0.19.7

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> ac281e9
- updated to 0.19.6

* Thu Jul 16 2015 Jakub Bogusz <qboosh@pld-linux.org> c4cc2e6
- updated to 0.19.5.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> da71902
- x32 rebuild
- release 2 (by relup.sh)

